Debian Bug report logs - #612561
www.debian.org: packages.debian.org - not displaying hits in lenny/oldstable or squeeze/stable

Package: www.debian.org; Maintainer for www.debian.org is Debian WWW Team <debian-www@lists.debian.org>;

Reported by: Vincent McIntyre <vincent.mcintyre@csiro.au>

Date: Wed, 9 Feb 2011 06:54:02 UTC

Severity: normal

Merged with 612497

Done: Simon Paillard <spaillard@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612561; Package www.debian.org. (Wed, 09 Feb 2011 06:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent McIntyre <vincent.mcintyre@csiro.au>:
New Bug report received and forwarded. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 06:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent McIntyre <vincent.mcintyre@csiro.au>
To: submit@bugs.debian.org
Subject: www.debian.org: packages.debian.org - not displaying hits in lenny/oldstable or squeeze/stable
Date: Wed, 9 Feb 2011 17:38:28 +1100
Package: www.debian.org
Severity: normal

*** Please type your report below this line ***

I performed the following search:
(Wed Feb  9 06:30 UTC 2011)

  lynx http://packages.debian.org/xfce4

This returned exact hits and partial-match hits correctly for the sid/unstable
and experimental distributions, but nothing for lenny/oldstable or
squeeze/stable.

Attempting to acess the URLs directly:
 http://packages.debian.org/squeeze/xfce4
 http://packages.debian.org/lenny/xfce4

fails with "Package not available in this suite."
But
 http://packages.debian.org/sid/xfce4
works as expected.

This package is in lenny, according to apt-cache:
 $ apt-cache show xfce4
 Package: xfce4
 Priority: optional
 Section: x11
 Installed-Size: 48
 Maintainer: Debian Xfce Maintainers <pkg-xfce-devel@lists.alioth.debian.org>
 ...

The same behaviour occurs with other packages I know to be in lenny,
eg pgplot5, bash, etc.
The search for bash showed up a related package in wheezy/testing
([ackagekit-bash-completion).

Hopefully this is a transitory mirror-sync issue related to the release,
but I hope it can be fixed relatively soon.

Congratulations on the new release, we look forward to upgrading.
Kind regards
Vince

-- System Information:
Debian Release: 5.0.8
  APT prefers oldstable
  APT policy: (500, 'oldstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686-bigmem (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612561; Package www.debian.org. (Wed, 09 Feb 2011 10:36:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 10:36:10 GMT) Full text and rfc822 format available.

Message #10 received at 612561@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Vincent McIntyre <vincent.mcintyre@csiro.au>, 612561@bugs.debian.org
Subject: Re: Bug#612561: www.debian.org: packages.debian.org - not displaying hits in lenny/oldstable or squeeze/stable
Date: Wed, 9 Feb 2011 11:33:16 +0100
        Hi there!

* Vincent McIntyre <vincent.mcintyre@csiro.au> [2011-02-09 07:38:28 CET]:
> I performed the following search:
> (Wed Feb  9 06:30 UTC 2011)
> 
>   lynx http://packages.debian.org/xfce4
> 
> This returned exact hits and partial-match hits correctly for the sid/unstable
> and experimental distributions, but nothing for lenny/oldstable or
> squeeze/stable.

 There was an unfortunate confusion in this respect during the release
process and the required updates, it turned out that the database of the
site got false data, so we started to rebuild that information from
scratch, which for the amount of packages in the various suites takes a
fair amount of processing time.

 Please be patient with us for a few more hours, we expect this to be
fixed soon.

 Thanks for your report,
Rhonda
-- 
"What are the differences between Mark Zuckerberg and me? I give private
 information on corporations to you for free, and I'm a villain.
 Zuckerberg gives your private information to corporations for money and
 he's Man of the Year."         -- Julian Assange




Information forwarded to debian-bugs-dist@lists.debian.org, Debian WWW Team <debian-www@lists.debian.org>:
Bug#612561; Package www.debian.org. (Wed, 09 Feb 2011 15:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Paillard <spaillard@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian WWW Team <debian-www@lists.debian.org>. (Wed, 09 Feb 2011 15:51:10 GMT) Full text and rfc822 format available.

Message #15 received at 612561@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 612561@bugs.debian.org
Cc: Vincent McIntyre <vincent.mcintyre@csiro.au>
Subject: Re: Bug#612561: www.debian.org: packages.debian.org - not displaying hits in lenny/oldstable or squeeze/stable
Date: Wed, 9 Feb 2011 16:48:15 +0100
Hi,

On Wed, Feb 09, 2011 at 11:33:16AM +0100, Gerfried Fuchs wrote:
> * Vincent McIntyre <vincent.mcintyre@csiro.au> [2011-02-09 07:38:28 CET]:
> > I performed the following search:
> >   lynx http://packages.debian.org/xfce4
> > 
> > This returned exact hits and partial-match hits correctly for the sid/unstable
> > and experimental distributions, but nothing for lenny/oldstable or
> > squeeze/stable.
> 
>  There was an unfortunate confusion in this respect during the release
> process and the required updates, it turned out that the database of the
> site got false data, so we started to rebuild that information from
> scratch, which for the amount of packages in the various suites takes a
> fair amount of processing time.
> 
>  Please be patient with us for a few more hours, we expect this to be
> fixed soon.

Redirect page installed by zobel to warn our users.

Out of ~47000 changelogs to be extracted, we are at 12000.
It began at 0:05 UTC, we're 15:45 UTC.

We are syncing *databases* (not changelogs) to the other backend rore, so that
people can search for packages in an up to date database.

Once the database is synced on rore and checks show it's ok (test url reported
previously as NOK), holter will follow and the redirect page will disabled.

Changelogs will come later.

-- 
Simon Paillard




Reply sent to Simon Paillard <spaillard@debian.org>:
You have taken responsibility. (Thu, 10 Feb 2011 19:03:10 GMT) Full text and rfc822 format available.

Notification sent to Vincent McIntyre <vincent.mcintyre@csiro.au>:
Bug acknowledged by developer. (Thu, 10 Feb 2011 19:03:10 GMT) Full text and rfc822 format available.

Message #20 received at 612561-done@bugs.debian.org (full text, mbox):

From: Simon Paillard <spaillard@debian.org>
To: 612561-done@bugs.debian.org
Subject: Re: Bug#612561: www.debian.org: packages.debian.org - not displaying hits in lenny/oldstable or squeeze/stable
Date: Thu, 10 Feb 2011 19:59:47 +0100
On Wed, Feb 09, 2011 at 04:48:15PM +0100, Simon Paillard wrote:
> On Wed, Feb 09, 2011 at 11:33:16AM +0100, Gerfried Fuchs wrote:
> > * Vincent McIntyre <vincent.mcintyre@csiro.au> [2011-02-09 07:38:28 CET]:
> > > I performed the following search:
> > >   lynx http://packages.debian.org/xfce4
[..]
> >  Please be patient with us for a few more hours, we expect this to be
> > fixed soon.

Everything is back to nominal, you should no longer notice strange things, so
closing the bug.

-- 
Simon Paillard




Forcibly Merged 612497 612561. Request was from Simon Paillard <spaillard@debian.org> to control@bugs.debian.org. (Fri, 11 Feb 2011 21:15:07 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 Mar 2011 07:36:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:14:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.